searchData={"items":[{"type":"module","title":"PhoenixBetterTable","doc":"A table component whose contents can be sorted by clicking on each header.","ref":"PhoenixBetterTable.html"},{"type":"module","title":"Assigns - PhoenixBetterTable","doc":"* `:meta` - a map containing a `:headers` key:\n    * `headers:` - a list of maps, each representing a header in the table:\n        * `:id` - the column's id, which will be used as the key for rendering and sorting\n        * `:label` - the column's label (optional)\n        * `:filter` - a boolean indicating whether the column is filterable (optional, default true), or a 1-arity function that returns text to be filtered (default `to_string/1`)\n        * `:sort` - either a boolean indicating whether the column is sortable (optional, default true), or a compare/2 function that returns true if the first argument precedes or is in the same place as the second one.\n        * `:render` - an optional component that renders cells in the column\n* `:rows` - a list of maps, each representing a row in the table\n* `:sort` - a tuple containing the column id and the sort order (`:asc` or `:desc`) (optional)\n* `:class` - a string containing additional classes to be added to the table (optional)","ref":"PhoenixBetterTable.html#module-assigns"},{"type":"function","title":"PhoenixBetterTable.render/1","doc":"","ref":"PhoenixBetterTable.html#render/1"},{"type":"extras","title":"PhoenixBetterTable","doc":"# PhoenixBetterTable\n\nPhoenixBetterTable is a Phoenix Live Component that presents a filterable and sortable table component given table metadata and rows.","ref":"readme.html"},{"type":"extras","title":"Why? - PhoenixBetterTable","doc":"It is designed to fill the space between ` ` and fully featured data tables backed by Ecto, such as those in [flop_phoenix](https://hex.pm/packages/flop_phoenix).","ref":"readme.html#why"},{"type":"extras","title":"Features - PhoenixBetterTable","doc":"- (optionally) sortable columns\n- (optionally) filterable columns\n- custom render functions for each column","ref":"readme.html#features"},{"type":"extras","title":"Usage - PhoenixBetterTable","doc":"```elixir\n<.live_component\n    module={PhoenixBetterTable}\n    rows={[%{string: \"Hello\", number: 123}, %{string: \"World\", number: 456}]}\n    meta=%{headers: [%{id: :string, display_name: \"String column\", sort: false}, %{id: :number}]} />\n```","ref":"readme.html#usage"},{"type":"extras","title":"Installation - PhoenixBetterTable","doc":"The package can be installed by adding `phoenix_better_table` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:phoenix_better_table, \"~> 0.4.0\"}\n  ]\nend\n```\n\nThe docs can be found at  .","ref":"readme.html#installation"}],"content_type":"text/markdown"}